{% load bootstrap5 %}
{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="The SmartUni Demo">

    {#  page title: displayed in browser bar #}
    <title>{% block title %}SmartUni Demo{% endblock %}</title>

    {# Load CSS and JavaScript #}
    {% bootstrap_css %}

    <!-- Custom styles for this template -->
    <link href="{% static 'planner/dashboard.css' %}" rel="stylesheet">
  </head>
  <body>

{#  the top row #}
<header class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 shadow">
  <a class="navbar-brand col-md-3 col-lg-2 me-0 px-3" href="#">SmartUni Demo</a>
  <!-- hamburger menu -->
  <button class="navbar-toggler position-absolute d-md-none collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#sidebarMenu" aria-controls="sidebarMenu" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <input class="form-control form-control-dark w-100" type="text" placeholder="Search" aria-label="Search">
  <div class="navbar-nav">
    <div class="nav-item text-nowrap">
        {% if request.user.is_authenticated %}
        <a class="nav-link px-3" href="{% url 'logout' %}">Logout ({{ request.user.username }})</a>
        {% else %}
        <a class="nav-link px-3" href="{% url 'login' %}">Login</a>
        {% endif %}
    </div>
  </div>
</header>

{# the main content #}
<div class="container-fluid">
  <div class="row">
    {# left side menu #}
    <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block bg-light sidebar collapse">
      <div class="position-sticky pt-3">
        <ul class="nav flex-column">
          <li class="nav-item">
            <a class="nav-link {% if page == 'index' %}active{% endif %}" aria-current="page" href="{% url 'index' %}">
              <span data-feather="home"></span>
              Home
            </a>
          </li>
          {% if request.user.is_authenticated %} {#  only show logout link is user is logged in #}
              <li class="nav-item">
                <a class="nav-link" href="{% url 'logout' %}">
                  <span data-feather="log-out"></span>
                  Logout  ({{ request.user.username }})
                </a>
              </li>
          {% else %}
           <li class="nav-item">
                <a class="nav-link" href="{% url 'login' %}">
                  <span data-feather="log-in"></span>
                  Login
                </a>
            </li>
          {% endif %}
        </ul>

        <h6 class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
          <span>Admin</span>
        </h6>
        <ul class="nav flex-column mb-2">
          <li class="nav-item">
            <a class="nav-link" href="{% url 'admin:index' %}">
              <span data-feather="tool"></span>
              Admin
            </a>
          </li>

        </ul>

        <h6 class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-muted">
          <span>About</span>
        </h6>
        <ul class="nav flex-column mb-2">
          <li class="nav-item">
            <a class="nav-link {% if page == 'about' %}active{% endif %}" href="{% url 'about' %}">
              <span data-feather="info"></span>
              About SmartUni
            </a>
          </li>
        </ul>
      </div>
    </nav>

    <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
      <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2">SmartUni Dashboard</h1>
      </div>

      <div class="ms-sm-auto">
        {# display messages #}
        {% bootstrap_messages %}
        {# the block 'content' will be filled by the individual page templates #}
        {% block content %}No content{% endblock %}
      </div>
    </main>
  </div>
</div>

    {% bootstrap_javascript %}
    <script src="https://cdn.jsdelivr.net/npm/feather-icons@4.28.0/dist/feather.min.js" integrity="sha384-uO3SXW5IuS1ZpFPKugNNWqTZRRglnUJK6UAZ/gxOX80nxEkN9NcGZTftn6RzhGWE" crossorigin="anonymous"></script><script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.4/dist/Chart.min.js" integrity="sha384-zNy6FEbO50N+Cg5wap8IKA4M/ZnLJgzc6w2NqACZaK0u0FXfOWRRJOnQtpZun8ha" crossorigin="anonymous"></script>
    <script src="{% static 'planner/dashboard.js' %}"></script>

  </body>
</html>
